Last Comment Bug 621228 - Make plugins listening presShell SetActive calls
: Make plugins listening presShell SetActive calls
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla9
Assigned To: Oleg Romashin (:romaxa)
:
: Benjamin Smedberg [:bsmedberg]
Mentors:
https://bitbucket.org/tuukka/central-...
Depends on: 732892 745286
Blocks: 619056
  Show dependency treegraph
 
Reported: 2010-12-23 14:19 PST by tom brinkman
Modified: 2012-04-15 12:00 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Upstream patch from harmattan (3.72 KB, patch)
2010-12-23 14:20 PST, tom brinkman
no flags Details | Diff | Splinter Review
Upstream patch from hartmattan (3.72 KB, patch)
2010-12-23 14:51 PST, tom brinkman
no flags Details | Diff | Splinter Review
Updatted patch. Minor patch fix. (3.75 KB, patch)
2011-01-05 14:11 PST, tom brinkman
no flags Details | Diff | Splinter Review
Updatted patch (6.33 KB, patch)
2011-01-05 14:15 PST, tom brinkman
no flags Details | Diff | Splinter Review
Sync plugins visibility state with docShell active state (5.75 KB, patch)
2011-08-17 14:55 PDT, Oleg Romashin (:romaxa)
jst: review+
Details | Diff | Splinter Review
Sync plugins visibility state with docShell active state. TO PUSH (5.78 KB, patch)
2011-08-17 20:49 PDT, Oleg Romashin (:romaxa)
bugzilla: approval‑mozilla‑aurora-
Details | Diff | Splinter Review

Description tom brinkman 2010-12-23 14:19:06 PST
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.2.12) Gecko/20101027 Ubuntu/10.04 (lucid) Firefox/3.6.12
Build Identifier: 

Upstream patch from harmattan

Reproducible: Always
Comment 1 tom brinkman 2010-12-23 14:20:23 PST
Created attachment 499586 [details] [diff] [review]
Upstream patch from harmattan
Comment 2 tom brinkman 2010-12-23 14:51:23 PST
Created attachment 499602 [details] [diff] [review]
Upstream patch from hartmattan
Comment 3 Oleg Romashin (:romaxa) 2011-01-02 16:49:31 PST
Might be related to bug 585129
Comment 4 tom brinkman 2011-01-03 11:55:45 PST
From code comments:

Update plugin active state. Frame should update if it is on an active tab
or not and forward that information to the plugin to make it possible to
throttle down plugin instance in non active case
Comment 5 tom brinkman 2011-01-05 14:11:35 PST
Created attachment 501449 [details] [diff] [review]
Updatted patch. Minor patch fix.
Comment 6 tom brinkman 2011-01-05 14:15:53 PST
Created attachment 501451 [details] [diff] [review]
Updatted patch
Comment 7 Oleg Romashin (:romaxa) 2011-08-17 14:55:50 PDT
Created attachment 553917 [details] [diff] [review]
Sync plugins visibility state with docShell active state

Updated patch, Fixed reactivation of invisible plugins on activated shell...
Without this patch plugins staying in "visible" state for all background tabs
Comment 8 Johnny Stenback (:jst, jst@mozilla.com) 2011-08-17 20:13:34 PDT
Comment on attachment 553917 [details] [diff] [review]
Sync plugins visibility state with docShell active state

+nsPluginInstanceOwner::UpdateDocumentActivity(PRBool aIsActive)

I'd much rather see this new method called UpdateDocumentActiveState(), as that's what it does.

r=jst with that.
Comment 9 Oleg Romashin (:romaxa) 2011-08-17 20:49:41 PDT
Created attachment 553994 [details] [diff] [review]
Sync plugins visibility state with docShell active state. TO PUSH

Fixed nits
Comment 11 Marco Bonardo [::mak] 2011-08-19 03:14:53 PDT
http://hg.mozilla.org/mozilla-central/rev/c51feb247cc4
Comment 12 Oleg Romashin (:romaxa) 2011-08-19 10:31:05 PDT
Comment on attachment 553994 [details] [diff] [review]
Sync plugins visibility state with docShell active state. TO PUSH

This is important change for handling Plugins activity on Mobile (N9). and prevent power consumption caused by running plugins in background tabs..

Risk is medium, because plugins are unpredictable...
Comment 13 Johnathan Nightingale [:johnath] 2011-08-23 14:29:31 PDT
Comment on attachment 553994 [details] [diff] [review]
Sync plugins visibility state with docShell active state. TO PUSH

Discussed in triage today - touching plugins is scary, and while it's good to see this fix coming in, it doesn't feel like something we should rush in against rules (aurora should only be for regressions in the current version or crash/security fixes - this isn't those things). Please re-nom if you think we've missed something in our analysis.

Note You need to log in before you can comment on or make changes to this bug.